Share via


Private Endpoint Connection - List By Project

Get all private endpoint connections in the project. Returns a json array of objects of type 'privateEndpointConnections' as specified in the Models section.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Migrate/assessmentprojects/{projectName}/privateEndpointConnections?api-version=2019-10-01

URI Parameters

Name In Required Type Description
projectName
path True

string

Name of the Azure Migrate project.

resourceGroupName
path True

string

Name of the Azure Resource Group that project is part of.

subscriptionId
path True

string

Azure Subscription Id in which project was created.

api-version
query True

string

Standard request header. Used by service to identify API version used by client.

Responses

Name Type Description
200 OK

PrivateEndpointConnectionCollection

OK

Headers

x-ms-request-id: string

Other Status Codes

CloudError

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

PrivateEndpointConnections_ListByProject

Sample request

GET https://management.azure.com/subscriptions/6393a73f-8d55-47ef-b6dd-179b3e0c7910/resourceGroups/abgoyal-westEurope/providers/Microsoft.Migrate/assessmentprojects/abgoyalWEselfhostb72bproject/privateEndpointConnections?api-version=2019-10-01

Sample response

{
  "value": [
    {
      "name": "custestpece80project3980pe.7e35576b-3df4-478e-9759-f64351cf4f43",
      "type": "Microsoft.Migrate/assessmentprojects/privateEndpointConnections",
      "eTag": "\"00009300-0000-0300-0000-602b967b0000\"",
      "id": "/subscriptions/4bd2aa0f-2bd2-4d67-91a8-5a4533d58600/resourceGroups/madhavicus/providers/Microsoft.Migrate/assessmentprojects/custestpece80project/privateEndpointConnections/custestpece80project3980pe.7e35576b-3df4-478e-9759-f64351cf4f43",
      "properties": {
        "provisioningState": "Succeeded",
        "privateEndpoint": {
          "id": "/subscriptions/31be0ff4-c932-4cb3-8efc-efa411d79280/resourceGroups/PrivLink-SelfHost/providers/Microsoft.Network/privateEndpoints/custestpece80project3980pe"
        },
        "privateLinkServiceConnectionState": {
          "status": "Approved",
          "description": null,
          "actionsRequired": ""
        }
      }
    }
  ],
  "nextLink": null
}

Definitions

Name Description
CloudError

An error response from the Azure Migrate service.

CloudErrorBody

An error response from the Azure Migrate service.

PrivateEndpointConnection

A private endpoint connection for a project.

PrivateEndpointConnectionCollection

A collection of private endpoint connections for a project.

PrivateEndpointConnectionProperties

Private endpoint connection properties.

PrivateLinkServiceConnectionState

State of a private endpoint connection.

ResourceId

ARM id for a resource.

CloudError

An error response from the Azure Migrate service.

Name Type Description
error

CloudErrorBody

An error response from the Azure Migrate service.

CloudErrorBody

An error response from the Azure Migrate service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

PrivateEndpointConnection

A private endpoint connection for a project.

Name Type Description
eTag

string

For optimistic concurrency control.

id

string

Path reference to this private endpoint endpoint connection. /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Migrate/assessmentProjects/{projectName}/privateEndpointConnections/{privateEndpointConnectionName}

name

string

Name of the private endpoint endpoint connection.

properties

PrivateEndpointConnectionProperties

Properties of the private endpoint endpoint connection.

type

string

Type of the object = [Microsoft.Migrate/assessmentProjects/privateEndpointConnections].

PrivateEndpointConnectionCollection

A collection of private endpoint connections for a project.

Name Type Description
nextLink

string

value

PrivateEndpointConnection[]

A list of private endpoint connections for a project.

PrivateEndpointConnectionProperties

Private endpoint connection properties.

Name Type Description
privateEndpoint

ResourceId

ARM id for the private endpoint resource corresponding to the connection.

privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

State of the private endpoint connection.

provisioningState enum:
  • Accepted
  • Failed
  • InProgress
  • Succeeded

Indicates whether there is an ongoing operation on the private endpoint.

PrivateLinkServiceConnectionState

State of a private endpoint connection.

Name Type Description
actionsRequired

string

Actions required on the private endpoint connection.

description

string

Description of the private endpoint connection.

status enum:
  • Approved
  • Disconnected
  • Pending
  • Rejected

Connection status of the private endpoint connection.

ResourceId

ARM id for a resource.

Name Type Description
id

string